# Uses of Class
org.eclipse.core.commands.NotEnabledException

Packages that use NotEnabledException
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.

## Uses of NotEnabledException in org.eclipse.core.commands

Methods in org.eclipse.core.commands with parameters of type NotEnabledException
Modifier and Type
Method
Description
`void`
CommandManager.`fireNotEnabled(String commandId, NotEnabledException exception)`
Fires the `notEnabled` event for `executionListeners`.
`void`
IExecutionListenerWithChecks.`notEnabled(String commandId, NotEnabledException exception)`
Notifies the listener that an attempt was made to execute a command that is disabled.
Methods in org.eclipse.core.commands that throw NotEnabledException
Modifier and Type
Method
Description
`Object`
Command.`executeWithChecks(ExecutionEvent event)`
Executes this command by delegating to the current handler, if any.
`Object`
ParameterizedCommand.`executeWithChecks(Object trigger, Object applicationContext)`
Executes this command with its parameters.

## Uses of NotEnabledException in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type NotEnabledException
Modifier and Type
Method
Description
`void`
ExternalActionManager.CommandCallback.`notEnabled(IAction action, NotEnabledException exception)`
`void`
ExternalActionManager.IExecuteCallback.`notEnabled(IAction action, NotEnabledException exception)`
Fires a `NotEnabledException` because the action was not enabled.

## Uses of NotEnabledException in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that throw NotEnabledException
Modifier and Type
Method
Description
`Object`
IHandlerService.`executeCommand(String commandId, Event event)`
Executes the command with the given identifier and no parameters.
`Object`
IHandlerService.`executeCommand(ParameterizedCommand command, Event event)`
Executes the given parameterized command.
`Object`
IHandlerService.`executeCommandInContext(ParameterizedCommand command, Event event, IEvaluationContext context)`
Executes the given parameterized command in the provided context.